// Copyright 1999-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniAIAT/Tokenizers.subproj/OAIHTMLProcessor.h,v 1.3 2000/02/04 00:40:40 kc Exp $

#import <Foundation/Foundation.h>
#import <OmniBase/OmniBase.h>
#import <OmniFoundation/OmniFoundation.h>
#import <OWF/OWF.h>

@interface OAIHTMLProcessor : OWSGMLProcessor
{
    OWObjectStream *objectStream;
    OFStringScanner *tokenGroupScanner;
}

+ (OWSGMLDTD *)dtd;
+ (OWContentType *)destinationType;

- (id)initWithPipeline:(OWPipeline *)aPipeline;

- (void)processImageTag:(OWSGMLTag *)tag;
- (void)processMetaTag:(OWSGMLTag *)tag;
- (void)processCData:(NSString *)cData;

- (void)processTokenGroup:(NSString *)tokenString;

@end
