// Copyright 1998-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniAIAT/Tokenizers.subproj/OAIHTMLTokenizer.h,v 1.3 2000/02/04 00:40:40 kc Exp $

#import <Foundation/NSObject.h>
#import <OWF/OWF.h>
#import <OmniAIAT/OAITokenizerProtocol.h>

@class OFStringScanner;

@interface OAIHTMLTokenizer : NSObject <OAITokenizer, OAITokenizerInstance, OWTarget>
{
    NSLock *processingLock;
    NSString *targetString;
    OFStringScanner *targetScanner;
    OWObjectStream *tokenStream;
    OWObjectStreamCursor *tokenCursor;

    BOOL isDebug;
    BOOL hasStartedPipeline;
}

- initWithScanner:(OFStringScanner *)aScanner;

@end
