// Copyright 1998-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniAIAT/OAIQuery.h,v 1.5 2000/01/19 23:36:22 kc Exp $

#import <Foundation/NSObject.h>
#import "FrameworkDefines.h"

@class NSArray;

@interface OAIQuery : NSObject
{
    unsigned int resultCount;
    void **hitList;
}

- initWithQuery:(NSString *)aQuery onIndices:(NSArray *)indices maxHits:(unsigned int)max;
    // Can raise OAIInvalidQueryException

- (unsigned int)resultCount;
- (float)scoreAtIndex:(unsigned int)index;
- (NSString *)filenameAtIndex:(unsigned int)index;
- (NSString *)pathAtIndex:(unsigned int)index;

@end

OmniAIAT_EXTERN NSString *OAIInvalidQueryException;

